import numpy as np

integer_types = (int, np.integer)

try:
    # solely for isinstance checks
    import dask.array

    dask_array_type = (dask.array.Array,)
except ImportError:  # pragma: no cover
    dask_array_type = ()

try:
    # solely for isinstance checks
    import sparse

    sparse_array_type = (sparse.COO,)
except ImportError:  # pragma: no cover

    try:
        import scipy.sparse
        sparse_array_type = (scipy.sparse.coo_matrix,)
    except ImportError:  # pragma: no cover
        sparse_array_type = ()
